Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.ssl
Class SSLContexts

    java.lang.Object
      org.apache.http.ssl.SSLContexts

    public class SSLContexts

extends Object

`SSLContext` factory methods.

Since:
  4.4

Constructor Summary
`SSLContexts()`

Method Summary
`static SSLContext` | `createDefault()` Creates default factory based on the standard JSSE trust material (`cacerts` file in the security properties directory).
`static SSLContext` | `createSystemDefault()` Creates default SSL context based on system properties.
`static SSLContextBuilder` | `custom()` Creates custom SSL context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLContexts

    public SSLContexts()

Method Detail

### createDefault

    public static SSLContext createDefault()
                                    throws SSLInitializationException

  Creates default factory based on the standard JSSE trust material (`cacerts` file in the security properties directory). System properties are not taken into consideration.

  Returns:
    the default SSL socket factory
  Throws:
    `SSLInitializationException`

### createSystemDefault

    public static SSLContext createSystemDefault()
                                          throws SSLInitializationException

  Creates default SSL context based on system properties. This method obtains default SSL context by calling `SSLContext.getInstance("Default")`. Please note that `Default` algorithm is supported as of Java 6. This method will fall back onto `createDefault()` when `Default` algorithm is not available.

  Returns:
    default system SSL context
  Throws:
    `SSLInitializationException`

### custom

    public static SSLContextBuilder custom()

  Creates custom SSL context.

  Returns:
    default system SSL context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.